/********************************************************************************
 Author        : CAST  macduan

 Date          : 2011-3-21

 Hardware      : ADuC7026+AD5318
********************************************************************************/


#ifndef AD5318_IO_H
#define AD5318_IO_H

/*DAC write*/
#define DAC_Write  (0x00<<15)

/*DAC address*/
#define DAC_A  (0x00<<0)
#define DAC_B  (0x01<<12)
#define DAC_C  (0x01<<13)
#define DAC_D  ((0x01<<13) | (0x01<<12))
#define DAC_E  (0x01<<14)
#define DAC_F  ((0x01<<14) | (0x01<<12))
#define DAC_G  ((0x01<<14) | (0x01<<13))
#define DAC_H  ((0x01<<14) | (0x01<<13) | (0x01<<12))

/*Control Words for AD5318*/
#define Control_Output_REF (0x01<<15)
#define Control_LDAC       ((0x01<<15) | (0x01<<13))
#define Control_Power_Down ((0x01<<15) | (0x01<<14))
#define Control_Reset      ((0x01<<15) | (0x01<<14) | (0x01<<13))

/*Output and Ref mode*/
#define GAIN_EtoH          (0x01<<5)
#define GAIN_AtoD          (0x01<<4)
#define BUF_EtoH           (0x01<<3)
#define BUF_AtoD           (0x01<<2)
#define VDD_EtoH		   (0x01<<1)
#define VDD_AtoD           (0x01<<0)

/*LDAC mode */
#define LDAC_low           (0x00<<0)
#define LDAC_high 		   (0x01<<0)
#define LDAC_single        (0x01<<1)
#define LDAC_Reserved      ((0x01<<0) | (0x01<<1))

/*Reset mode*/
#define DAC_Data_reset          (0x00<<0)
#define DAC_Data_Control_reset 	(0x01<<12)

/*power down channel select*/
#define Channel_H    (0x01<<7)
#define Channel_G    (0x01<<6)
#define Channel_F    (0x01<<5)
#define Channel_E    (0x01<<4)
#define Channel_D    (0x01<<3)
#define Channel_C    (0x01<<2)
#define Channel_B    (0x01<<1)
#define Channel_A    (0x01<<0)

#endif


